<?php

require_once('config.php');


$client = new MailchimpClient(MAILCHIMP_API_KEY);
/**
 * Set this to true if you want the subscriber to confirm his email address
 * @var boolean
 */
$doubleOptin = false;

$output = array('status' => 'failure', 'message' => '');
if(NO_CAPTCHA_ENABLE) {
    if(!isset($_POST['g-recaptcha-response']) || !NoCaptcha::valid($_POST['g-recaptcha-response'])){
        $output = array('status' => 'failure', 'message' => 'Captcha is invalid, Please try again.');
        echo json_encode($output);
        die();
    }
}

if(!isset($_POST['email']) || trim($_POST['email']) == ""){
    $output = array('status' => 'failure', 'message' => 'Please enter a valid email address.');
    echo json_encode($output);
    die();
}
if(!isset($_POST['name']) || trim($_POST['name']) == ""){
    $output = array('status' => 'failure', 'message' => 'Please enter your name.');
    echo json_encode($output);
    die();
}
$name = @explode(" ", trim($_POST['name']), 2);
$fname = $lname = "";
if(sizeof($name) == 2){
    list($fname, $lname) = $name;
}else{
    $fname = $name[0];
}



if(MAIL_ENABLE){

    $utms = "";
    if(isset($_POST['utm']['source']) && trim($_POST['utm']['source']) != ""){
        $utms .= "UTM Source: ".trim($_POST['utm']['source'])."\r\n";
    }
    if(isset($_POST['utm']['medium']) && trim($_POST['utm']['medium']) != ""){
        $utms .= "UTM Medium: ".trim($_POST['utm']['medium'])."\r\n";
    }
    if(isset($_POST['utm']['campaign']) && trim($_POST['utm']['campaign']) != ""){
        $utms .= "UTM Campaign: ".trim($_POST['utm']['campaign'])."\r\n";
    }
    if(isset($_POST['utm']['content']) && trim($_POST['utm']['content']) != ""){
        $utms .= "UTM Content: ".trim($_POST['utm']['content'])."\r\n";
    }
    if(isset($_POST['utm']['term']) && trim($_POST['utm']['term']) != ""){
        $utms .= "UTM Term: ".trim($_POST['utm']['term'])."\r\n";
    }
    if($utms == ""){
        $utms = "No campaign info present.";
    }
    $to      = MAIL_RECEPIENTS;
    $subject = 'New Lead from '.$fname." ".$lname;
    $message = 'Name: '.$fname." ".$lname."\r\n"."Email: ".trim($_POST['email']). "\r\nDate: ".date("F j, Y, g:i a")."\r\n\r\n\r\n".$utms;
    $headers = 'From: '. MAIL_FROM . "\r\n" .
        'Reply-To: '. MAIL_REPLY_TO . "\r\n" .
        'X-Mailer: PHP/' . phpversion();

    @mail($to, $subject, $message, $headers);
    if(!MAILCHIMP_ENABLE){
        $output = array('status' => 'success', 'message' => 'You have successfully subscribed to our mailing list.');
        echo json_encode($output);
        die();
    }
}
if(MAILCHIMP_ENABLE){
    $response = $client->status(MAILCHIMP_LIST_ID, trim($_POST['email']));
    $return = $response->decode();
    if($return->status == 404 || $return->status == 'unsubscribed'){
        $response = $client->subscribe(MAILCHIMP_LIST_ID, trim($_POST['email']), $doubleOptin, array(
            'FNAME' => $fname,
            'LNAME' => $lname,
        )
        );
        $return = $response->decode();
        if($return->status == 'subscribed'){
            $output = array('status' => 'success', 'message' => 'You have successfully subscribed to our mailing list.');
            echo json_encode($output);
            die();
        }else{
            $output = array('status' => 'failure', 'message' => 'We couldn\'t add you to our mailing list at this time, please try again.');
            echo json_encode($output);
            die();
        }
    }elseif($return->status == 'subscribed'){
        $output = array('status' => 'info', 'message' => 'You are already subscribed to our mailing list.');
        echo json_encode($output);
        die();
    }else{
        $output = array('status' => 'failure', 'message' => 'We couldn\'t add you to our mailing list at this time, please try again.');
        echo json_encode($output);
        die();
    }
}

 ?>
